{ lib,... }:
with lib; {
    username = mkOption { type = types.str; };
    pubssh = mkOption { type = types.str; default=""; };
    wm = mkOption {
        type = types.enum [ "Wayland" "X11" "-" ];
        default = "-";
    };
    git = {
        username = mkOption { type = types.str; default = "Anonymous";};
        email = mkOption { type = types.str; default = "anonymous@domain"; };
        key = mkOption { type = types.nullOr types.str; default=null; };
    };
}